# Appointment

<table><thead><tr><th>Field Name</th><th width="249">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>appointment_id</code></td><td>Id</td><td>Appointment ID.</td></tr><tr><td><code>attendees</code></td><td>[Attendees]</td><td>List of attendees.</td></tr><tr><td><code>attendees.email</code></td><td>String</td><td>Attendee email.</td></tr><tr><td><code>attendees.name</code></td><td>String</td><td>Attendee name.</td></tr><tr><td><code>attendees.user_id</code></td><td>Id</td><td>Attendee user id.</td></tr><tr><td><code>description</code></td><td>String</td><td>Additional details or notes about the appointment.</td></tr><tr><td><code>end</code></td><td>DateTime</td><td>End datetime of the appointment in UTC.</td></tr><tr><td><code>event</code></td><td>Event</td><td><p>enum Event {</p><p>appointment.created<br>appointment.updated<br>appointment.cancelled</p><p>}</p></td></tr><tr><td><code>event_id</code></td><td>Id</td><td>Event id.</td></tr><tr><td><code>post_event_status</code></td><td>PostEventStatus</td><td>enum PostEventStatus { SCHEDULED COMPLETED MEMBER_NO_SHOW COACH_NO_SHOW RESCHEDULED_BY_MEMBER RESCHEDULED_BY_COACH RESCHEDULED_BY_ADMIN CANCELED_BY_MEMBER CANCELED_BY_COACH CANCELED_BY_ADMIN }</td></tr><tr><td><code>start</code></td><td>DateTime</td><td>Start datetime of the appointment in UTC.</td></tr><tr><td><code>status</code></td><td>EventStatus</td><td>enum EventStatus {<br>TENTATIVE<br>CONFIRMED<br>CANCELLED<br>UNKNOWN<br>}</td></tr><tr><td><code>summary</code></td><td>String</td><td>Short title or summary of the appointment.</td></tr><tr><td><code>timestamp</code></td><td>String</td><td>Timestamp of when the event was generated. (ISO 8601 with timezone)</td></tr><tr><td><code>tzid</code></td><td>String</td><td>Timezone identifier (e.g. UTC).</td></tr></tbody></table>

### Example

```graphql
{
  "appointment_id": 32730,
  "attendees": [
    {
      "email": "user@suggestic.com",
      "name": "User",
      "user_id": "2368d5f1-d8f6-4a89-b8b1-3a02d4c5cd27"
    }
  ],
  "description": "test",
  "end": "2025-08-27T06:30:00Z",
  "event": "appointment.updated",
  "event_id": "30ce8fd0-b667-45b0-86c0-72a0970c0876",
  "post_event_status": null,
  "start": "2025-08-27T06:00:00Z",
  "status": "confirmed",
  "summary": "Test",
  "timestamp": "2025-08-26T19:53:22.999499+00:00",
  "tzid": "UTC"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/webhooks/appointment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
